Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.tasks.testing
[Java] Interface TestDescriptor

    public interface TestDescriptor

Describes a test. A test may be a single atomic test, such as the execution of a test method, or it may be a composite test, made up of zero or more tests.

Method Summary
`String` | `getClassName()` Returns the test class name for this test, if any.
`String` | `getName()` Returns the name of the test.
`TestDescriptor` | `getParent()` Returns the parent of this test, if any.
`boolean` | `isComposite()` Is this test a composite test?

Method Detail

### getClassName

    public String getClassName()

  Returns the test class name for this test, if any.
  Returns:
    The class name. May return null.

### getName

    public String getName()

  Returns the name of the test. Not guaranteed to be unique.
  Returns:
    The test name

### getParent

    public TestDescriptor getParent()

  Returns the parent of this test, if any.
  Returns:
    The parent of this test. Null if this test has no parent.

### isComposite

    public boolean isComposite()

  Is this test a composite test?
  Returns:
    true if this test is a composite test.

Gradle API 1.1-rc-1